--- !ruby/object:RI::MethodDescription 
aliases: []

block_params: 
comment: 
- !ruby/struct:SM::Flow::P 
  body: Runs the bootstrap stage, which runs over +$bootstrap+ and converts each entry into a full fledged method signature registered in the type checker. This is where the basic knowledge for lower level types (in C) comes from.
full_name: TypeChecker#bootstrap
is_singleton: false
name: bootstrap
params: ()
visibility: public
